<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="styles/styles.css" />
    <title>Task2.3</title>
  </head>
  <body>
    <header class="header center">
      <h1>Algorithms</h1>
    </header>

    <main class="main center">
      <div class="container center">
        <h2>Unsorted Array:</h2>
        <div id="unsorted-array-container" class="array-container">
          <div class="array-member"></div>
        </div>
        <button id="generate-array-btn" class="btn">
          Generate new array and run sorting
        </button>
      </div>

      <div id="bubblesort-algorithm" class="algorithm-container center">
        <h1>Bubble sort</h1>
        <div class="array-container"></div>
        <div class="algorithm-results"></div>
      </div>

      <div id="selectionsort-algorithm" class="algorithm-container center">
        <h1>Selection sort</h1>
        <div class="array-container"></div>
        <div class="algorithm-results"></div>
      </div>

      <div id="insertionsort-algorithm" class="algorithm-container center">
        <h1>Insertion sort</h1>
        <div class="array-container"></div>
        <div class="algorithm-results"></div>
      </div>

      <div id="mergesort-algorithm" class="algorithm-container center">
        <h1>Merge sort</h1>
        <div class="array-container"></div>
        <div class="algorithm-results"></div>
      </div>

      <div id="quicksort-algorithm" class="algorithm-container center">
        <h1>Quicksort</h1>
        <div class="array-container"></div>
        <div class="algorithm-results"></div>
      </div>
    </main>
  </body>
</html>
